> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mightynetworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an invite



## OpenAPI

````yaml https://api.mn.co/admin/v1/spec.json patch /admin/v1/networks/{network_id}/invites/{id}/
openapi: 3.1.0
info:
  version: 1.0.0
  title: The Mighty Networks Admin API
  description: An API for managing your Mighty Networks network
servers:
  - url: https://api.mn.co
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Members
    description: Manage members of your network
  - name: Courseworks
    description: Manage course content (lessons, quizzes, sections)
  - name: Reactions
    description: Manage reactions on comments
  - name: Mute
    description: Mute posts for users
  - name: Comments
    description: Manage comments on posts
  - name: Invites
    description: Invites allow you to invite users to your network
  - name: Tags
    description: Manage tags for your network
  - name: Spaces
    description: >-
      Spaces are the organizational units within a Network where content and
      members are organized
  - name: Plans
    description: Manage plans in your network
  - name: PasswordResets
    description: Manage member password resets
  - name: Badges
    description: Manage badges for your network
  - name: Rsvps
    description: Manage event RSVPs for your network
  - name: Options
    description: Manage dropdown custom field options
  - name: Answers
    description: Manage member responses to custom fields
  - name: Subscriptions
    description: >-
      Manage payment subscriptions - recurring payments from members to hosts
      for plans
  - name: Purchases
    description: Manage purchases and subscriptions for your network
  - name: Posts
    description: Posts also include Articles.
  - name: Polls
    description: >-
      Polls and Questions allow members to share opinions and engage with each
      other
  - name: Networks
    description: >-
      Networks are the top-level organizational unit under which other resources
      are nested
  - name: Me
    description: Metadata about the requesting user
  - name: Events
    description: Events are scheduled gatherings that members can RSVP to and engage with
  - name: CustomFields
    description: Manage custom fields for your network
  - name: Collections
    description: Manage collections in your network
  - name: Assets
    description: Manage assets for your network
  - name: AbuseReports
    description: Manage abuse reports for your network
paths:
  /admin/v1/networks/{network_id}/invites/{id}/:
    patch:
      tags:
        - Invites
      summary: Update an invite
      operationId: update_invites
      parameters:
        - name: id
          in: path
          required: true
          description: The ID of the invite to update
          schema:
            type: integer
            format: uint64
        - $ref: '#/components/parameters/networkId'
      requestBody:
        description: Submit results as JSON
        required: true
        content:
          application/json:
            schema:
              description: >-
                Invites allow users and admins to invite new users to the
                network
              type: object
              properties:
                recipient_email:
                  type: string
                  description: The recipients email address
                  example: claude@example.com
                recipient_first_name:
                  type: string
                  description: The recipient's first name
                  example: Claude
                recipient_last_name:
                  type: string
                  description: The recipient's last name
                  example: Monet
                user_id:
                  type: integer
                  format: uint64
                  description: >
                    The ID of the user to record as the creator of the invite.


                    If not provided, defaults to the owner of the authored API
                    key.
      responses:
        '200':
          description: Updates an invite and returns its new state
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InviteResponse'
components:
  parameters:
    networkId:
      name: network_id
      in: path
      description: The Network's unique integer ID, or subdomain
      required: true
      schema:
        oneOf:
          - type: integer
            description: Unique numeric network ID
            format: uint64
          - type: string
            description: Network subdomain
            format: /^[a-z][a-z0-9-]+$/
  schemas:
    InviteResponse:
      description: Invites allow users and admins to invite new users to the network
      type: object
      required:
        - created_at
        - id
        - recipient_email
        - recipient_first_name
        - recipient_last_name
        - sender_id
        - updated_at
      properties:
        recipient_email:
          type: string
          description: The recipients email address
          example: claude@example.com
        recipient_first_name:
          type: string
          description: The recipient's first name
          example: Claude
        recipient_last_name:
          type: string
          description: The recipient's last name
          example: Monet
        id:
          type: integer
          format: uint64
          description: The record's integer ID
          example: '1234'
        created_at:
          type: string
          format: date-time
          description: The date and time the record was created
          example: '2026-06-26T21:14:11+00:00'
        updated_at:
          type: string
          format: date-time
          description: The date and time the record was last modified
          example: '2026-06-26T21:14:11+00:00'
        sender_id:
          type: integer
          format: uint64
          description: The ID of the user that created the invitation
        user_id:
          type: integer
          format: uint64
          description: 'Deprecated: Use sender_id instead'
          deprecated: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````